/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.1
 Text Domain:  bricks
*/

:root {
  --primary: #0c0c0c;
  --primary-transparent: #0c0c0cd3;
  --secondary: #ffffff;
  --tertiary: #24242494;
  --text-primary: #e7e7e7;
  --text-secondary: #494949;
  --text-secondary-light: #bdbdbd;
  --text-tertiary: #a3a3a3;
  --border-dark: #404040;
  --border-dark-secondary: #292929;
  --border-light: #dfdfdf;
  --accent-scrollbar: #696969;
  --accent-primary: #c5b9f1;
  --hover-cards: #1d1d1db7;
  --instagram: #ffdc80;
  --succees: #5c940d;
  --alert: #fa5252;
  --space-4xs: clamp(0.52rem, calc(-0.03vw + 0.53rem), 0.49rem);
  --space-3xs: clamp(0.66rem, calc(0.04vw + 0.64rem), 0.7rem);
  --space-2xs: clamp(0.82rem, calc(0.16vw + 0.77rem), 0.99rem);
  --space-xs: clamp(1.02rem, calc(0.35vw + 0.91rem), 1.4rem);
  --space-s: clamp(1.28rem, calc(0.65vw + 1.07rem), 1.98rem);
  --space-m: clamp(1.6rem, calc(1.11vw + 1.24rem), 2.8rem);
  --space-l: clamp(2rem, calc(1.81vw + 1.42rem), 3.96rem);
  --space-xl: clamp(2.5rem, calc(2.87vw + 1.58rem), 5.6rem);
  --space-2xl: clamp(3.13rem, calc(4.44vw + 1.71rem), 7.92rem);
  --space-3xl: clamp(3.91rem, calc(6.75vw + 1.75rem), 11.19rem);
  --space-4xl: clamp(4.88rem, calc(10.13vw + 1.64rem), 15.83rem);
  --text-xs: clamp(1.26rem, calc(-0.23vw + 1.34rem), 1.01rem);
  --text-s: clamp(1.5rem, calc(0.1vw + 1.44rem), 1.45rem);
  --text-m: clamp(1.6rem, calc(0.19vw + 1.54rem), 1.8rem);
  --text-l: clamp(1.8rem, calc(0.55vw + 1.62rem), 2.4rem);
  --text-xl: clamp(2.02rem, calc(1.09vw + 1.68rem), 3.2rem);
  --text-2xl: clamp(2.28rem, calc(1.84vw + 1.69rem), 4.26rem);
  --text-3xl: clamp(2.56rem, calc(2.89vw + 1.64rem), 5.68rem);
  --text-4xl: clamp(2.88rem, calc(4.34vw + 1.49rem), 7.58rem);
  --radius-xs: clamp(0.4rem, calc(0vw + 0.4rem), 0.4rem);
  --radius-s: clamp(0.6rem, calc(-0.19vw + 0.86rem), 0.8rem);
  --radius-m: clamp(1rem, calc(-0.19vw + 1.26rem), 1.2rem);
  --radius-l: clamp(1.6rem, calc(-0.37vw + 2.12rem), 2rem);
  --radius-xl: clamp(2.6rem, calc(-0.56vw + 3.38rem), 3.2rem);
}

/* 
  System font stuck
  */

/* body {
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica,
    Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
} */

html {
  scrollbar-gutter: stable;
}

#brx-footer {
  background: none !important;
}

/* 
Uncomment for production
*/

[x-cloak] { display: none !important; }

h1, h2, h3, h4, h5, h6 {
  text-wrap: balance;
}

p, li, figcaption {
  max-width: 90ch;
}

/* 
  Reset default list style
  */

ul,
ol {
  list-style-type: none;
  margin: 0;
  padding: 0;
}

/* 
Fix for scrollbar layout shift
*/

html {
  scrollbar-gutter: stable;
}

/* 
Scrollbar custom style
*/

body::-webkit-scrollbar {
  width: 1rem;
  background-color: var(--wb-core-bg-body);
  overflow: hidden;
}

body::-webkit-scrollbar-thumb {
  background-color: var(--wb-core-text-body-100);
  border-radius: var(--wb-core-radius-m);
}

/* 
Better nav and active state
*/

.nav-link {
  position: relative;
  text-decoration: none;
  color: #000; /* You can set your desired text color */
  transition: color 0.3s ease; /* Optional: smooth color transition */
  text-underline-offset: var(--wb-core-space-2xs);
  text-decoration-color: var(--wb-core-primary) !important;
}

.nav-link::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 0;
  height: 1px; 
  background-color: var(
    --wb-core-primary
  ); 
  transition: width 0.3s ease-in-out; 
  transform: translateY(2px); 
}

.nav-link:hover {
  color: var(--wb-core-primary);
}

.nav-link:hover::after {
  width: 100%; 
}

/* 
  Better search btn
  */

.search-btn {
  background: none;
  margin: 0;
  padding: 0;
}

.search--active {
  display: flex !important;
}

.search-btn svg {
  transition: stroke 0.5s ease;
}

.search-btn svg:hover {
  stroke: var(--accent-primary) !important;
  cursor: pointer;
}

.bricks-search-form {
  gap: 0;
  justify-content: center;
  height: 4rem;
  margin: 0 auto;
  width: 100%;
  max-width: 80rem;
}

.bricks-search-form button {
  border-top: 1px solid var(--border-dark);
  border-bottom: 1px solid var(--border-dark);
  border-right: 1px solid var(--border-dark);
  height: 100%;
  transition: color 0.5s ease;
}

/* .search-wrapper[active-state="active"] {
  display: flex;
} */

.bricks-search-form input[type="search"] {
  width: 100% !important;
}

/* 
Better refrence cards with overlay and attributes title passing through data-title from bricks
*/

.project-img {
  position: relative;
  transition: all 0.5s ease;
}

.project-img::before,
.project-link::after {
  content: attr(data-title);
  position: absolute;
  padding: var(--wb-core-space-xs);
  top: 50%;
  left: 0;
  width: 100%;
  height: 100%;
  transform: translateY(-50%);
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: var(--wb-core-hover-bg);
  opacity: 0;
  transition: all 0.5s ease;
  z-index: 1;
  color: var(--wb-core-text-body);
  text-align: center;
  font-weight: 200;
  font-size: var(--wb-core-text-m);
  font-family: "STIX Two Text", serif;
}

.project-link:hover .project-img {
  transform: scale(1.1);
}

.project-img:hover::before,
.project-link:hover::after {
  opacity: 0.8;
}

/* 
Gallery style for product
*/

/* .woocommerce-product-gallery__image {
  overflow: hidden;
} */

/* 
Variation style for cart
*/

form.cart table.variations tr,
form.woocommerce-cart-form table.variations tr {
  border-top-style: none !important;
  border-bottom-style: none !important;
}

.variations {
  margin: 0px 0px 0px 0px !important;
}

/* 
Vyřešit jinak
*/

/* .label {
  line-height: 1;
  font-size: var(--text-m);
  text-transform: capitalize;
} */

/* label[for="color"] {
  margin: 0 !important;
} */

.value {
  padding-top: 0 !important;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: start !important;
  gap: var(--space-xs);
}

form.cart table.variations td,
form.woocommerce-cart-form table.variations td {
  width: 60% !important;
}

/* 
Experimental style for woo 
*/

.woocommerce-variation-description,
.woocommerce-variation-price,
.woocommerce-variation-availability {
  display: none !important;
}

body form.cart .woocommerce-variation:not(:empty),
form.woocommerce-cart-form .woocommerce-variation:not(:empty) {
  margin-bottom: 0 !important;
}

.reset_variations {
  margin-top: 0 !important;
  margin-bottom: 1rem;
}

.swatchly-swatch {
  border: none;
}

/* Hide elements with inline style visibility: hidden */
.reset_variations[style*="visibility: hidden"] {
  display: none !important;
}

select {
  background-color: var(--primary);
  border-color: var(--border-light);
}

.reset_variations {
  margin-top: 1rem;
  border: 1px solid var(--border-light);
  padding: 0.2em var(--space-xs);
  background-color: var(--text-primary);
}

/* 
Quantity style for cart
*/

.quantity {
  margin: 0 !important;
  gap: 1rem;
  padding-right: 1.2rem;
}

body form.cart .quantity .qty,
form.woocommerce-cart-form .quantity .qtyt {
  border: 1px solid var(--border-light) !important;
}

.woocommerce-variation-add-to-cart {
  display: flex;
  flex-direction: column;
}

.added_to_cart {
  margin-top: 1rem;
  border: 1px solid var(--border-dark);
  padding: 0.2em var(--space-xs);
  background-color: var(--border-dark);
}

/* 
Better woo cart
*/

.mini_cart_item {
  margin-bottom: 1rem !important;
}

.brxe-woocommerce-mini-cart .cart-detail .total {
  border-top: 1px solid var(--border-dark);
}

.woocommerce-mini-cart__total {
  font-size: var(--text-m);
}

.woocommerce-mini-cart__total strong {
  font-weight: 400 !important;
}

.woocommerce-mini-cart__total span {
  color: var(--accent-primary);
}

.nav__icon.brxe-woocommerce-mini-cart .cart-detail {
  box-shadow: rgba(0, 0, 0, 0.19) 0px 10px 20px, rgba(0, 0, 0, 0.23) 0px 6px 6px;
}

/* 
Better swatchly
*/

.swatchly-type-wrap {
  width: 32rem;
}

.swatchly-swatch.swatchly-disabled {
  pointer-events: all !important;
  cursor: pointer !important;
  opacity: 0.2 !important;
}

.swatchly-tooltip {
  max-width: 25rem !important;
  background-color: var(--border-dark) !important;
  border-radius: 0px !important;
  font-family: "STIX Two Text", serif;
  white-space: nowrap !important;
  border-color: var(--border-dark) !important;
}

.swatchly-swatch .swatchly-tooltip-text {
  white-space: nowrap !important;
  text-transform: capitalize;
  color: var(--text-primary);
}

/* 
Better add to cart
*/

form.cart .quantity + button,
form.woocommerce-cart-form .quantity + button {
  margin-top: var(--space-m) !important;
}

/* 
Better login succes message
*/

:where(.brxe-form) .message.success {
  background-color: var(--primary);
  color: var(--text-primary);
  border: 1px solid var(--border-dark);
  font-size: var(--text-xs);
  font-weight: 400;
}

.menu-item {
  display: flex;
  justify-content: center;
  align-items: center;
}

/* 
Better related product gallery
*/

.rp__img {
  transition: all 0.5s ease;
}

.rp__img--wrapper:hover .rp__img {
  scale: 1.1;
}

/* 
Better instock status of each color variant
*/

.stock-status.in-stock {
  text-wrap: nowrap;
  color: var(--succees);
}

.stock-status.out-of-stock {
  text-wrap: nowrap;
  color: var(--alert);
}

/* 
Better form
*/

.ff-default .ff-el-form-control {
  font-family: "STIX Two Text", serif !important;
  border-radius: 0px !important;
}

.ff-el-input--label {
  font-family: "STIX Two Text", serif !important;
  font-weight: 200 !important;
}

/* 
Better fluent form
*/

.ff-default .ff-el-input--label label {
  color: var(--text-secondary);
  font-size: var(--text-m);
  font-weight: 200 !important;
}

.ff_t_c {
  color: var(--text-secondary);
  font-size: var(--text-m);
}

.brx-popup-content select {
  background-color: var(--text-primary) !important;
  color: var(--text-secondary);
  font-size: var(--text-xs);
}

.ff-el-input--content input {
  color: var(--text-secondary);
  font-size: var(--text-xs);
}

.fluentform .ff-el-group {
  margin: 0 !important;
}

textarea {
  color: var(--text-secondary);
  font-size: var(--text-xs);
  height: 20rem !important;
  overflow-y: auto;
  resize: none;
}

/* 
Better SP gallery
*/

#brxe-vuvbkl a {
  overflow: hidden;
}

#brxe-vuvbkl img {
  cursor: pointer;
  transition: transform 300ms ease-in-out;
}

#brxe-vuvbkl img:hover {
  transform: scale(1.05);
}

.brxe-image-gallery a {
  overflow: hidden;
}

.brxe-image-gallery img {
  cursor: pointer;
}

/* 
Better woocomerce
*/

.product-link:hover .product-price {
  display: block;
  z-index: 10;
}

.product-link:hover .product-name {
  display: block;
  z-index: 10;
}

.product__info--link {
  backdrop-filter: blur(10px);
  transition: all 300ms ease-in-out;
}

.product-link {
  position: relative;
  display: inline-block; /* Ensures pseudo-element spans entire link area */
}

.product-link::before {
  content: ""; /* Required for pseudo-elements */
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 0, 0, 0); /* Initial transparent overlay */
  transition: background-color 0.3s ease; /* Add transition for background-color */
}

.product-link:hover::before {
  background-color: rgba(27, 27, 27, 0.658); /* Overlay color with opacity */
}

/* 
Better submit btn
*/

.ff-btn-submit {
  background-color: var(--secondary) !important;
  border-radius: 0px !important;
  width: 100% !important;
  border: 1px solid var(--border-light) !important;
  color: var(--text-secondary) !important;
  font-weight: 200;
  font-size: var(--text-l);
  font-family: "STIX Two Text", serif;
}

.ff-btn-submit:hover {
  background-color: var(--border-dark) !important;
  border-color: var(--border-dark) !important;
  color: var(--text-primary) !important;
}

/* 
Better form
*/

.ff_t_c {
  font-weight: 200;
  font-size: var(--text-xs);
  font-family: "STIX Two Text", serif;
}

textarea {
  max-height: 15rem;
  overflow-y: auto;
  resize: vertical;
}

/* 
Better woo empty cart btn
*/
.empty__card--btn {
  text-wrap: nowrap;
}

/* 
Better woo thumb gallery
*/

.woocommerce-product-gallery img {
  object-fit: cover !important;
}

.flex-control-thumbs img {
  max-width: 3rem !important;
  max-height: 3rem;
}

#order_review_heading {
  margin-bottom: var(--space-m) !important;
}

.cart-subtotal,
.order-total {
  font-size: var(--text-s);
}

.cart-subtotal th {
  font-weight: 200 !important;
}

.order-total th {
  font-weight: 200 !important;
}

.product-name {
  font-weight: 200 !important;
  font-family: "STIX Two Text", serif;
}

.product-price {
  font-weight: 200 !important;
  font-family: "STIX Two Text", serif;
}

.product-quantity {
  font-weight: 200 !important;
  font-family: "STIX Two Text", serif;
}

.product-subtotal {
  font-weight: 200 !important;
  font-family: "STIX Two Text", serif;
}

.product-total {
  font-weight: 200 !important;
  font-family: "STIX Two Text", serif;
}

.woocommerce-privacy-policy-text p {
  font-size: var(--text-s);
  margin-bottom: var(--space-s);
}

#brx-content > .woocommerce {
  background-color: var(--text-primary) !important;
}

.woocommerce-checkout #order_review {
  border: none !important;
}

.customer__info.brxe-woocommerce-checkout-customer-details
  .woocommerce-billing-fields
  h3 {
  margin-bottom: var(--space-s);
}

.shop_table tfoot {
  display: flex !important;
}

#place_order:hover {
  background-color: var(--border-dark) !important;
  color: var(--text-primary);
  border-color: var(--border-dark);
}

.woocommerce-additional-fields h3 {
  font-size: var(--text-m) !important;
  font-family: "STIX Two Text", serif;
  font-weight: 200;
}

#brxe-bddrnp .wc-proceed-to-checkout .button {
  padding: 0.1em var(--space-xl) !important;
}

.product-thumbnail img {
  border: 1px solid var(--border-light);
}

.button-empty {
  width: 100%;
  padding: 0.4em var(--space-xs);
  border: 1px solid var(--border-light);
  font-size: var(--text-m);
  font-family: "STIX Two Text", serif;
  font-weight: 200;
}

.button-empty:hover {
  background-color: var(--border-light);
}

.woocommerce-NoticeGroup {
  display: none !important;
}

/* 
Fix for checkbox input
*/

input[type="checkbox"] {
  border-radius: 0px !important;
}

.brxe-image-gallery figure {
  padding: var(--space-4xs);
}

/* 
Better portfolio titles
*/

.sp__sec--title {
  text-decoration-color: var(--border-light) !important;
  text-decoration-thickness: 1px !important;
  text-underline-offset: 4px;
}

/* 
Shop now on portfolio page
*/

.cta-portfolio__wrapper .cfgroup-hyperlink {
  font-size: var(--text-m) !important;
  background-color: var(--primary);
  padding: var(--space-xs) var(--space-m);
  color: var(--text-primary);
  font-family: "STIX Two Text", serif;
  font-weight: 200;
  height: 100%;
  display: block !important;
}

.coutry__name {
  font-family: inherit;
  font-size: var(--h-2);
  color: var(--text-primary);
}

.store__name {
  font-family: inherit;
  font-size: var(--text-s);
  color: var(--border-light);
}

/* 
Better checkout fast pay with Stripe
*/

.wc_stripe_cart_payment_methods li.or {
  display: none !important;
}

.wc-stripe-cart-checkout-container ul.wc_stripe_cart_payment_methods.active {
  padding-top: var(--space-s);
  margin: 0 !important;
}

.gpay-card-info-container.gpay-card-info-custom-radius, .gpay-button.gpay-card-info-custom-radius {
  border-radius: 0 !important;
  outline-color: var(--border-light) !important;
}

.gpay-card-info-container-fill, .gpay-card-info-container-fill > .gpay-card-info-container{
  height: 4rem !important;
}

/* .wc-proceed-to-checkout {
  display: flex;
  flex-direction: column;
  max-width: 50%;
} */


.custom--link {
  font-weight: 600;
  text-decoration: underline;
  text-underline-offset: 8px;
  font-style: italic;
}

.plus svg {
  stroke: var(--border-dark) !important;
}

.minus svg {
  stroke: var(--border-dark) !important;
}

.swatchly-swatch.swatchly-disabled {
  opacity: 1 !important;
}

.map_wrapper foreignObject {
  font-size: var(--wb-core-text-s) !important;
}

.woocommerce-shipping-destination {
  display: none !important;
}

.woocommerce-shipping-calculator {
  display: none !important;
}

.shipping th {
  font-size: var(--text-s) !important;
  font-weight: 400 !important;
  font-family: "STIX Two Text", serif;
}


.woocommerce-checkout-review-order-table tfoot {
  display: flex;
  flex-direction: column !important;
}

#shipping_method {
  display: flex;
  gap: var(--space-l) !important;
}

#shipping_method li {
  margin: 0 !important;
}

#shipping_method label {
  text-wrap: nowrap !important;
}

.order_details {
  width: 100% !important;
}

.order_details tfoot {
  width: 100% !important;
  text-wrap: nowrap !important;
}


@media screen and (max-width: 1320px) {
  .order_details tbody tr {
    display: flex;
    flex-direction: column !important;
  }
}

@media screen and (max-width: 1100px) {
  .order_details tfoot {
    display: flex;
    flex-direction: column !important;
  }
}

@media screen and (max-width: 390px) {
  .order_details tfoot tr {
    display: flex;
    flex-direction: column !important;
  }
}

